# Geolocation

- [Get Fire Geolocation](https://docs.apphive.io/apphive-documentacion/reference/funciones/geolocation/get-fire-geolocation.md): That allows you to store and query a set of keys based on their geographic location.
- [Geo Fire Listen Item](https://docs.apphive.io/apphive-documentacion/reference/funciones/geolocation/geo-fire-listen-item.md): You can add markers or elements to the map.
- [Query Fire Geolocation](https://docs.apphive.io/apphive-documentacion/reference/funciones/geolocation/query-fire-geolocation.md): Query by geographic coordinates in Apphive is a highly requested feature because many successful apps like Uber, Pokemon Go, Instagram, etc. use realtime maps as part of the core.
- [Remove Fire Geolocation](https://docs.apphive.io/apphive-documentacion/reference/funciones/geolocation/remove-fire-geolocation.md): To remove a location and delete it from the database simply use this function.
- [Set Fire Geolocation](https://docs.apphive.io/apphive-documentacion/reference/funciones/geolocation/set-fire-geolocation.md): You could use this function to set a location for a key simply call, this function is passed a key as a string and the location as a location object containing the location's latitude and longitud.
- [Geo Fire Set Multiple](https://docs.apphive.io/apphive-documentacion/reference/funciones/geolocation/geo-fire-set-multiple.md): You can set multilple Geolocations with different values and retrieve as a list or object.
- [Geocoding](https://docs.apphive.io/apphive-documentacion/reference/funciones/geolocation/geocoding.md): Geocoding is the process of taking input text, such as an address or the name of a place, and returning a latitude/longitude location on the Earth's surface for that place.
- [Get Distance](https://docs.apphive.io/apphive-documentacion/reference/funciones/geolocation/get-distance.md): This a function that provides travel distance and time between origins and destinations, in case of recommended route between start and end points, as calculated by the Google Maps.
- [Get Geolocation](https://docs.apphive.io/apphive-documentacion/reference/funciones/geolocation/get-geolocation.md): Geolocation is the identification or estimation of the real-world geographic location of an object, such as a radar source, mobile phone, or Internet-connected computer terminal.
- [Start Geolocation Tracking](https://docs.apphive.io/apphive-documentacion/reference/funciones/geolocation/start-geolocation-tracking.md): You can start a geolocation tracking to get a geographic location of an object, such as a radar source, mobile phone.
- [Stop Geolocation Tracking](https://docs.apphive.io/apphive-documentacion/reference/funciones/geolocation/stop-geolocation-tracking.md): You can stop a geolocation tracking to get a geographic location of an object, such as a radar source, mobile phone.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apphive.io/apphive-documentacion/reference/funciones/geolocation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
